import type { OpenId4VcJwtIssuer } from './models';
import type { AgentContext, JwaSignatureAlgorithm, Key } from '@credo-ts/core';
import type { DIDDocument, SuppliedSignature } from '@sphereon/did-auth-siop';
/**
 * Returns the JWA Signature Algorithms that are supported by the wallet.
 *
 * This is an approximation based on the supported key types of the wallet.
 * This is not 100% correct as a supporting a key type does not mean you support
 * all the algorithms for that key type. However, this needs refactoring of the wallet
 * that is planned for the 0.5.0 release.
 */
export declare function getSupportedJwaSignatureAlgorithms(agentContext: AgentContext): JwaSignatureAlgorithm[];
export declare function getSphereonSuppliedSignatureFromJwtIssuer(agentContext: AgentContext, jwtIssuer: OpenId4VcJwtIssuer): Promise<SuppliedSignature>;
export declare function getSphereonDidResolver(agentContext: AgentContext): {
    resolve: (didUrl: string) => Promise<{
        didDocument: DIDDocument;
        didResolutionMetadata: import("@credo-ts/core").DidResolutionMetadata;
        didDocumentMetadata: import("@credo-ts/core").DidDocumentMetadata;
    }>;
};
export declare function getProofTypeFromKey(agentContext: AgentContext, key: Key): string;
